%define gaiver	0.5.8

Summary:	GAI based applet that displays HDD and CPU temperature
Name:		gai-temp
Version:	0.1.1
Release:	2%{?dist}
Source0:	http://leidola.newcon.de/daten/gai-temp/%{name}-%{version}.tar.gz
URL:		http://leidola.newcon.de/projekte/gai-temp/gai-temp-en.html
License:	GPL
Group:		User Interface/Desktops
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gai-devel >= %{gaiver}

%description
General Applet Interface (GAI) based applet that displays hard disk drive
and processor temperatures.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README README.gai TODO
%{_bindir}/gai-temp
%{_libdir}/bonobo/servers/*.server
%{_datadir}/pixmaps/*


%changelog
* Tue Jun 28 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- remove work-around from 1.0.3-5 again, bug has been fixed

* Mon Jun 27 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.1.1-2
- temporarily add BR libpng-devel to work around a broken
  cairo-devel package, which is pulled in and breaks the pkg-config
  dependency chain (#161688)

* Mon Jun 27 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.1.1-1
- Update to 0.1.1 where upstream merged the four patches.

* Tue Jun 21 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.1.0-1
- Initial build for Fedora Extras.
- Add patches for no-strip, preferences-segfault, cflags, libdir.

